Bug 4207 - russian fonts broken
: russian fonts broken
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libqt3)
: unstable
: all Linux
: P2 critical
Assigned To:
:
:
:
:
: 4194
  Show dependency tree
 
Reported: 2004-05-21 21:03 by
Modified: 2005-07-13 15:46 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-05-21 21:03:53
При переходе с libqt3-3.3.1-alt6 на libqt3-3.3.2-alt1.i586.rpm почти все
русские
буквы превращаются в квардатики. Воспроизводится и на новом юзвере тоже.
Система
altlinux-release-Sisyphus-alt20040519
------- Comment #1 From 2004-05-21 22:27:46 -------
попробуйте с fontconfig >= 2.2.2-alt1 
------- Comment #2 From 2004-05-23 15:39:16 -------
Попробовал с fontconfig-2.2.2-alt1
При установке все было ОК, но после перезапуска снова квадратики.
На новом юзвере так-же.
rpm -qa|grep font

dmtr40in-fonts-1.0-alt2
XFree86-cyr_rfx-fonts-koi8-r-1.1-alt7
XFree86-75dpi-fonts-4.3.0-alt15
fontconfig-2.2.1-alt5
chkfontpath-2.0.1-alt1
urw-fonts-2.0-alt25
ms-fonts-ttf-1.0-alt11

Кроме того, после установки нового фонтконфига, понятие "маленький шрифт" у
konsole искажено - шрифт больше и разряженнее стандартного. 
Текущая система - altlinux-release-Sisyphus-alt20040521, только откатил
fontconfig & libqt3.
------- Comment #3 From 2004-05-24 14:01:25 -------
>> Кроме того, после установки нового фонтконфига, понятие "маленький шрифт" у
>> konsole искажено - шрифт больше и разряженнее стандартного. 
>> Текущая система - altlinux-release-Sisyphus-alt20040521, только откатил
>> fontconfig & libqt3.
Связано с тем, что в новом fontconfig monospace = 'Bitstream Vera Sans Mono' -
на редкость отвратительный шрифт.
Надо добавить в local.conf или ~/.fonts.conf:
</fontconfig>
    <alias>
        <family>monospace</family>
        <prefer>
            <family>Andale Mono</family>
        </prefer>
    </alias>
</fontconfig>
------- Comment #4 From 2004-05-24 14:48:10 -------
Может если только Fixed ниже Courier New поставить? 
 
В /etc/fonts/alt-post-user.conf 
                <family>monospace</family> 
                <prefer> 
                        <family>Fixed</family> 
                        <family>Andale Mono</family> 
                        <family>Courier New</family> 
                        <family>Cumberland AMT</family> 
                        <family>Nimbus Mono L</family> 
                        <family>Luxi Mono</family> 
                        <family>FreeMono</family> 
                        <family>Bitstream Vera Sans Mono</family> 
 
------- Comment #5 From 2004-05-25 14:43:39 -------
ДУмаю, эти ошибки - одного поля ягоды.
------- Comment #6 From 2004-05-25 17:45:36 -------
fixed in libqt3-3.3.2-alt3